> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get search

> General search function to look through configurations, tasks, etc.



## OpenAPI

````yaml /schema.json get /search
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /search:
    get:
      tags:
        - Search
      description: General search function to look through configurations, tasks, etc.
      operationId: generalSearch
      parameters:
        - name: filter
          in: query
          description: >-
            Apply filter to the results, result will be empty on non existing
            order or where column.
          required: false
          schema:
            type: string
            default: '{}'
        - name: query
          in: query
          description: >-
            Search in multiple types with predefined properties and search
            operators.
          required: false
          schema:
            type: string
            default: ''
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneralSearchResult'
        default:
          description: Unexpected Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GeneralSearchResult:
      type: object
      properties:
        configurations:
          type: object
          properties:
            metadata:
              type: object
            results:
              type: array
              items:
                type: object
        tasks:
          type: object
          properties:
            metadata:
              type: object
            results:
              type: array
              items:
                type: object
        variables:
          type: object
          properties:
            metadata:
              type: object
            results:
              type: array
              items:
                type: object
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string

````